Package org.apache.sysds.runtime.instructions

## Class CPInstructionParser

- java.lang.Object
- - org.apache.sysds.runtime.instructions.InstructionParser
  - - org.apache.sysds.runtime.instructions.CPInstructionParser

    public class CPInstructionParser
    extends InstructionParser

### Constructor Summary

Constructors
`CPInstructionParser()`

### Method Summary

All Methods Static Methods Concrete Methods
`static CPInstruction` `parseSingleInstruction​(String str)`
`static CPInstruction` `parseSingleInstruction​(InstructionType cptype, String str)`

### Methods inherited from class org.apache.sysds.runtime.instructions.InstructionParser

`parseMixedInstructions`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CPInstructionParser

    public CPInstructionParser()

### Method Detail

#### parseSingleInstruction

    public static CPInstruction parseSingleInstruction​(String str)

#### parseSingleInstruction

    public static CPInstruction parseSingleInstruction​(InstructionType cptype,
                                                       String str)